{-------------------------------------------------------------}
{
{           cartaVox - Identificador de extenso
{
{-------------------------------------------------------------}

unit carGerat;

interface

function geraTipoAplic (nome: string): string;

implementation

{-------------------------------------------------------------}
{       Retorna o tipo de acordo com a exteno do arquivo
{-------------------------------------------------------------}

function geraTipoAplic (nome: string): string;
var ext: string [4];
    i: integer;
begin
    ext := '';
    if pos ('.', nome) <> 0 then
//        for i := length (nome) downto length (nome)-7 do
        for i := length (nome) downto 2 do
            if nome[i] = '.' then break
            else ext := upcase(nome[i]) + ext;

    if ext = '$' then  geraTipoAplic := 'text/plain'
    else if ext = '' then  geraTipoAplic := 'text/plain'
    else if ext = 'TXT' then geraTipoAplic := 'text/plain'
    else if ext = 'HTM' then geraTipoAplic := 'text/html'
    else if ext = 'HTML' then  geraTipoAplic := 'text/html'
    else if ext = 'CAR' then geraTipoAplic := 'message/rfc822'
    else if ext = 'DAT' then geraTipoAplic := 'application/ms-tnef'
    else if ext = 'DOC' then geraTipoAplic := 'application/msword'
    else if ext = 'PPS' then geraTipoAplic := 'application/vnd.ms-powerpoint'
    else if ext = 'PDF'  then geraTipoAplic := 'application/pdf'
    else if ext = 'RM' then geraTipoAplic := 'application/vnd.rn-realmedia'
    else if      ext = 'ZIP' then geraTipoAplic := 'application/x-zip-compressed'
    else if ext = 'BMP' then geraTipoAplic := 'image/bmp'
    else if ext = 'GIF' then geraTipoAplic := 'image/gif'
    else if ext = 'JPG' then geraTipoAplic := 'image/jpeg'
    else if ext = 'MID' then geraTipoAplic := 'audio/mid'
    else if ext = 'MP3' then geraTipoAplic := 'audio/mpeg'
    else if ext = 'WAV' then geraTipoAplic := 'audio/x-wav'
    else if ext = 'RAM' then geraTipoAplic := 'audio/x-pn-realaudio'
    else if ext = 'MPE' then geraTipoAplic := 'video/mpeg'
    else if ext = 'MPG' then geraTipoAplic := 'video/mpeg'
    else if ext = 'RTF' then geraTipoAplic := 'application/rtf'
    else if ext = 'WMV' then geraTipoAplic := 'video/x-ms-wmv'
    else if ext = 'EVY' then geraTipoAplic := 'application/envoy'
    else if ext = 'FIF' then geraTipoAplic := 'application/fractals'
    else if ext = 'SPL' then geraTipoAplic := 'application/futuresplash'
    else if ext = 'HTA' then geraTipoAplic := 'application/hta'
    else if ext = 'ACX' then geraTipoAplic := 'application/internet-property -stream'
    else if ext = 'HQX' then geraTipoAplic := 'application/mac-binhex40'
    else if ext = 'DOT' then geraTipoAplic := 'application/msword'
    else if ext = 'BIN' then geraTipoAplic := 'application/octet-stream'
    else if ext = 'CLASS' then geraTipoAplic := 'application/octet-stream'
    else if ext = 'DMS' then geraTipoAplic := 'application/octet-stream'
    else if ext = 'EXE' then geraTipoAplic := 'application/octet-stream'
    else if ext = 'LHA' then geraTipoAplic := 'application/octet-stream'
    else if ext = 'LZH' then geraTipoAplic := 'application/octet-stream'
    else if ext = 'ODA' then geraTipoAplic := 'application/oda'
    else if ext = 'AXS' then geraTipoAplic := 'application/olescript'
    else if ext = 'PRF' then geraTipoAplic := 'application/pics-rules'
    else if ext = 'P10' then geraTipoAplic := 'application/pkcs10'
    else if ext = 'CRL' then geraTipoAplic := 'application/pkix-crl'
    else if ext = 'AI' then geraTipoAplic := 'application/postscript'
    else if ext = 'EPS' then geraTipoAplic := 'application/postscript'
    else if ext = 'PS' then geraTipoAplic := 'application/postscript'
    else if ext = 'SETPAY' then geraTipoAplic := 'application/set-payment-initiation'
    else if ext = 'SETREG' then geraTipoAplic := 'application/set-registration-initiation'
    else if ext = 'XLA' then geraTipoAplic := 'application/vnd.ms-excel'
    else if ext = 'XLC' then geraTipoAplic := 'application/vnd.ms-excel'
    else if ext = 'XLM' then geraTipoAplic := 'application/vnd.ms-excel'
    else if ext = 'XLS' then geraTipoAplic := 'application/vnd.ms-excel'
    else if ext = 'XLT' then geraTipoAplic := 'application/vnd.ms-excel'
    else if ext = 'XLW' then geraTipoAplic := 'application/vnd.ms-excel'
    else if ext = 'SST' then geraTipoAplic := 'application/vnd.ms-pkicertstore'
    else if ext = 'CAT' then geraTipoAplic := 'application/vnd.ms-pkiseccat'
    else if ext = 'STL' then geraTipoAplic := 'application/vnd.ms-pkistl'
    else if ext = 'POT' then geraTipoAplic := 'application/vnd.ms-powerpoint'
    else if ext = 'PPT' then geraTipoAplic := 'application/vnd.ms-powerpoint'
    else if ext = 'MPP' then geraTipoAplic := 'application/vnd.ms-project'
    else if ext = 'WCM' then geraTipoAplic := 'application/vnd.ms-works'
    else if ext = 'WDB' then geraTipoAplic := 'application/vnd.ms-works'
    else if ext = 'WKS' then geraTipoAplic := 'application/vnd.ms-works'
    else if ext = 'WPS' then geraTipoAplic := 'application/vnd.ms-works'
    else if ext = 'HLP' then geraTipoAplic := 'application/winhlp'
    else if ext = 'BCPIO' then geraTipoAplic := 'pplication/x-bcpio'
    else if ext = 'CDF' then geraTipoAplic := 'application/x-cdf'
    else if ext = 'Z' then geraTipoAplic := 'application/x-compressed'
    else if ext = 'TGZ' then geraTipoAplic := 'application/x-compressed'
    else if ext = 'CPIO' then geraTipoAplic := 'application/x-cpio'
    else if ext = 'CSH' then geraTipoAplic := 'application/x-csh'
    else if ext = 'DCR' then geraTipoAplic := 'application/x-director'
    else if ext = 'DIR' then geraTipoAplic := 'application/x-director'
    else if ext = 'DXR' then geraTipoAplic := 'application/x-director'
    else if ext = 'DVI' then geraTipoAplic := 'application/x-dvi'
    else if ext = 'GTAR' then geraTipoAplic := 'application/x-gtar'
    else if ext = 'GZ' then geraTipoAplic := 'application/x-gzip'
    else if ext = 'HDF' then geraTipoAplic := 'application/x-hdf'
    else if ext = 'INS' then geraTipoAplic := 'application/x-internet-signup'
    else if ext = 'ISP' then geraTipoAplic := 'application/x-internet-signup'
    else if ext = 'III' then geraTipoAplic := 'application/x-iphone'
    else if ext = 'JS' then geraTipoAplic := 'application/x-javascript'
    else if ext = 'LATEX' then geraTipoAplic := 'application/x-latex'
    else if ext = 'MDB' then geraTipoAplic := 'application/x-msaccess'
    else if ext = 'CRD' then geraTipoAplic := 'application/x-mscardfile'
    else if ext = 'CLP' then geraTipoAplic := 'application/x-msclip'
    else if ext = 'DLL' then geraTipoAplic := 'application/x-msdownload'
    else if ext = 'M13' then geraTipoAplic := 'application/x-msmediaview'
    else if ext = 'M14' then geraTipoAplic := 'application/x-msmediaview'
    else if ext = 'MVB' then geraTipoAplic := 'application/x-msmediaview'
    else if ext = 'WMF' then geraTipoAplic := 'application/x-msmetafile'
    else if ext = 'MNY' then geraTipoAplic := 'application/x-msmoney'
    else if ext = 'PUB' then geraTipoAplic := 'application/x-mspublisher'
    else if ext = 'SCD' then geraTipoAplic := 'application/x-msschedule'
    else if ext = 'TRM' then geraTipoAplic := 'application/x-msterminal'
    else if ext = 'WRI' then geraTipoAplic := 'application/x-mswrite'
    else if ext = 'NC' then geraTipoAplic := 'application/x-netcdf'
    else if ext = 'PMA' then geraTipoAplic := 'application/x-perfmon'
    else if ext = 'PMC' then geraTipoAplic := 'application/x-perfmon'
    else if ext = 'PML' then geraTipoAplic := 'application/x-perfmon'
    else if ext = 'PMR' then geraTipoAplic := 'application/x-perfmon'
    else if ext = 'PMW' then geraTipoAplic := 'application/x-perfmon'
    else if ext = 'P12' then geraTipoAplic := 'application/x-pkcs12'
    else if ext = 'PFX' then geraTipoAplic := 'application/x-pkcs12'
    else if ext = 'P7B' then geraTipoAplic := 'application/x-pkcs7-certificates'
    else if ext = 'SPC' then geraTipoAplic := 'application/x-pkcs7-certificates'
    else if ext = 'P7R' then geraTipoAplic := 'application/x-pkcs7-certreqresp'
    else if ext = 'P7C' then geraTipoAplic := 'application/x-pkcs7-mime'
    else if ext = 'P7M' then geraTipoAplic := 'application/x-pkcs7-mime'
    else if ext = 'P7S' then geraTipoAplic := 'application/x-pkcs7-signature'
    else if ext = 'SH' then geraTipoAplic := 'application/x-sh'
    else if ext = 'SHAR' then geraTipoAplic := 'application/x-shar'
    else if ext = 'SIT' then geraTipoAplic := 'application/x-stuffit'
    else if ext = 'SV4CPIO' then geraTipoAplic := 'application/x-sv4cpio'
    else if ext = 'SV4CRC' then geraTipoAplic := 'application/x-sv4crc'
    else if ext = 'TAR' then geraTipoAplic := 'application/x-tar'
    else if ext = 'TCL' then geraTipoAplic := 'application/x-tcl'
    else if ext = 'TEX' then geraTipoAplic := 'application/x-tex'
    else if ext = 'TEXI' then geraTipoAplic := 'application/x-texinfo'
    else if ext = 'TEXINFO' then geraTipoAplic := 'application/x-texinfo'
    else if ext = 'ROFF' then geraTipoAplic := 'application/x-troff'
    else if ext = 'T' then geraTipoAplic := 'application/x-troff'
    else if ext = 'TR' then geraTipoAplic := 'application/x-troff'
    else if ext = 'MAN' then geraTipoAplic := 'application/x-troff-man'
    else if ext = 'ME' then geraTipoAplic := 'application/x-troff-me'
    else if ext = 'MS' then geraTipoAplic := 'application/x-troff-ms'
    else if ext = 'USTAR' then geraTipoAplic := 'application/x-ustar'
    else if ext = 'SRC' then geraTipoAplic := 'application/x-wais-source'
    else if ext = 'CER' then geraTipoAplic := 'application/x-x509-ca-cert'
    else if ext = 'CRT' then geraTipoAplic := 'application/x-x509-ca-cert'
    else if ext = 'DER' then geraTipoAplic := 'application/x-x509-ca-cert'
    else if ext = 'PKO' then geraTipoAplic := 'application/ynd.ms-pkipko'
    else if ext = 'AU' then geraTipoAplic := 'audio/basic'
    else if ext = 'SND' then geraTipoAplic := 'audio/basic'
    else if ext = 'RMI' then geraTipoAplic := 'audio/mid'
    else if ext = 'AIF' then geraTipoAplic := 'audio/x-aiff'
    else if ext = 'AIFC' then geraTipoAplic := 'audio/x-aiff'
    else if ext = 'AIFF' then geraTipoAplic := 'audio/x-aiff'
    else if ext = 'M3U' then geraTipoAplic := 'audio/x-mpegurl'
    else if ext = 'RA' then geraTipoAplic := 'audio/x-pn-realaudio'
    else if ext = 'COD' then geraTipoAplic := 'image/cis-cod'
    else if ext = 'IEF' then geraTipoAplic := 'image/ief'
    else if ext = 'JPE' then geraTipoAplic := 'image/jpeg'
    else if ext = 'JPEG' then geraTipoAplic := 'image/jpeg'
    else if ext = 'JFIF' then geraTipoAplic := 'image/pipeg'
    else if ext = 'TIF' then geraTipoAplic := 'image/tiff'
    else if ext = 'TIFF' then geraTipoAplic := 'image/tiff'
    else if ext = 'RAS' then geraTipoAplic := 'image/x-cmu-raster'
    else if ext = 'CMX' then geraTipoAplic := 'image/x-cmx'
    else if ext = 'ICO' then geraTipoAplic := 'image/x-icon'
    else if ext = 'PNM' then geraTipoAplic := 'image/x-portable-anymap'
    else if ext = 'PBM' then geraTipoAplic := 'image/x-portable-bitmap'
    else if ext = 'PGM' then geraTipoAplic := 'image/x-portable-graymap'
    else if ext = 'PPM' then geraTipoAplic := 'image/x-portable-pixmap'
    else if ext = 'RGB' then geraTipoAplic := 'image/x-rgb'
    else if ext = 'XBM' then geraTipoAplic := 'image/x-xbitmap'
    else if ext = 'XPM' then geraTipoAplic := 'image/x-xpixmap'
    else if ext = 'XWD' then geraTipoAplic := 'image/x-xwindowdump'
    else if ext = 'MHT' then geraTipoAplic := 'message/rfc822'
    else if ext = 'MHTML' then geraTipoAplic := 'message/rfc822'
    else if ext = 'NWS' then geraTipoAplic := 'message/rfc822'
    else if ext = 'CSS' then geraTipoAplic := 'text/css'
    else if ext = '323' then geraTipoAplic := 'text/h323'
    else if ext = 'STM' then geraTipoAplic := 'text/html'
    else if ext = 'ULS' then geraTipoAplic := 'text/iuls'
    else if ext = 'BAS' then geraTipoAplic := 'text/plain'
    else if ext = 'CMD' then geraTipoAplic := 'text/plain'
    else if ext = 'DPR' then geraTipoAplic := 'text/plain'
    else if ext = 'PAS' then geraTipoAplic := 'text/plain'
    else if ext = 'C' then geraTipoAplic := 'text/plain'
    else if ext = 'H' then geraTipoAplic := 'text/plain'
    else if ext = 'RTX' then geraTipoAplic := 'text/richtext'
    else if ext = 'SCT' then geraTipoAplic := 'text/scriptlet'
    else if ext = 'TSV' then geraTipoAplic := 'text/tab-separated-values'
    else if ext = 'HTT' then geraTipoAplic := 'text/webviewhtml'
    else if ext = 'HTC' then geraTipoAplic := 'text/x-component'
    else if ext = 'ETX' then geraTipoAplic := 'text/x-setext'
    else if ext = 'VCF' then geraTipoAplic := 'text/x-vcard'
    else if ext = 'MP2' then geraTipoAplic := 'video/mpeg'
    else if ext = 'MPA' then geraTipoAplic := 'video/mpeg'
    else if ext = 'MPEG' then geraTipoAplic := 'video/mpeg'
    else if ext = 'MPV2' then geraTipoAplic := 'video/mpeg'
    else if ext = 'MOV' then geraTipoAplic := 'video/quicktime'
    else if ext = 'QT' then geraTipoAplic := 'video/quicktime'
    else if ext = 'LSF' then geraTipoAplic := 'video/x-la-asf'
    else if ext = 'LSX' then geraTipoAplic := 'video/x-la-asf'
    else if ext = 'ASF' then geraTipoAplic := 'video/x-ms-asf'
    else if ext = 'ASR' then geraTipoAplic := 'video/x-ms-asf'
    else if ext = 'ASX' then geraTipoAplic := 'video/x-ms-asf'
    else if ext = 'AVI' then geraTipoAplic := 'video/x-msvideo'
    else if ext = 'MOVIE' then geraTipoAplic := 'video/x-sgi-movie'
    else if ext = 'FLR' then geraTipoAplic := 'x-world/x-vrml'
    else if ext = 'VRML' then geraTipoAplic := 'x-world/x-vrml'
    else if ext = 'WRL' then geraTipoAplic := 'x-world/x-vrml'
    else if ext = 'WRZ' then geraTipoAplic := 'x-world/x-vrml'
    else if ext = 'XAF' then geraTipoAplic := 'x-world/x-vrml'
    else if ext = 'XOF' then geraTipoAplic := 'x-world/x-vrml'
    else
        geratipoAplic := 'Unknown'
end;

{-------------------------------------------------------------}

begin
end.
